/* 全体の初期設定 */
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
  background: #fff;
  color: #000;
  height: 48px;
}

.header-border {
  height: 4px;
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 9999;
  margin-top: 48px;
}

a {
  display: inline-block;
  transition: transform 0.2s ease;
}

a:hover {
  transform: translateY(-3px);
}

.logo h1 {
  margin: 0;
  font-size: 24px;
}

nav {
  position: relative;
}

#menu-toggle {
  display: none;
}

.menu-button-container {
  display: none;
  height: 30px;
  width: 40px;
  cursor: pointer;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  margin-top: -10px;
  margin-right: 24px;
  z-index: 10002;
}

.menu-button,
.menu-button::before,
.menu-button::after {
  display: block;
  background-color: #000;
  height: 4px;
  width: 100%;
  border-radius: 2px;
  position: absolute;
}

.menu-button::before,
.menu-button::after {
  content: '';
  left: 0;
}

.menu-button::before {
  top: -6px;
}

.menu-button::after {
  top: 6px;
}

.menu {
  display: flex;
  list-style: none;
  padding: 0;
  padding-left: 2rem;
  transform: translateX(-32px);
  margin: 0;
  z-index: 9999;
  position: relative;
  justify-content: flex-start;
}

.menu li {
  margin-left: 20px;
}

.menu a {
  text-decoration: none;
  color: #000;
}

@media (max-width: 768px) {
  .menu-button-container {
    display: flex;
    position: absolute;
    top: 6px;
    right: 6px;
  }

  .menu {
    display: none;
    position: absolute;
    top: 20px;
    right: 0;
    background: #fff;
    flex-direction: column;
    width: 200px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.2);
    z-index: 9999;
  }

  .menu li {
    margin: 0;
    text-align: center;
    padding: 10px 0;
  }

  #menu-toggle:checked + .menu-button-container + .menu {
    display: flex;
  }
}

footer {
  text-align: center;
  background: #d30000;
  color: #fffdef;
  padding: 1rem;
}

footer a {
  color: #fffdef !important;
}

